Subject: Re: Creating a wrapped zImage.initrd -- can't start the trampoline?

From: Grant Likely <[email-masked]>
Date: Mon, 4 Aug 2008 11:25:58 -0600

On Fri, Aug 01, 2008 at 10:40:27PM -0400, Paul Smith wrote:

> Anyway, I need to generate an all-in-one image containing the kernel and
> the initrd, and the trampoline code tacked onto it to turn it into an
> ELF image.  I'm worried I'll need to write a custom platform_init() but
> for now I'm just using of.c.

Take a look at Documentation/powerpc/bootwrapper.txt

You probably want the 'simpleImage.%' target.  It also binds in a copy
of the device tree blob.

g.